You are here: Home » Reply

Reply To: Avahi support

#3575

Mike
Participant

Holy cow… I just thought I’d give avahi a little spin for kicks… what a pain in the ass. I run mt-daapd on a headless slackware box. God save anyone who walks down this path… I ended up running ./configure in avahi with about seven different –disable options and still it’s complaining. Why doesn’t specifying –disable-gtk disable all need to have gtk installed? Why is the configure script looking for python gtk support? Come to think of it, what the hell does an mDNS responder need all these graphical toolkits for? Anyway… I still can’t get Avahi to ./configure properly…
Bottom line: Do Not, under Any circumstances, require Avahi to be installed on a system for any future releases of mt-daapd. This software is nowhere near prime-time yet.